(add-to-list 'custom-theme-load-path "~/.emacs.d/themes/")
(add-to-list 'load-path "~/.emacs.d/downloadedEl/")

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(TeX-view-program-selection
   '(((output-dvi has-no-display-manager)
      "dvi2tty")
     ((output-dvi style-pstricks)
      "dvips and gv")
     (output-dvi "xdvi")
     (output-pdf "Zathura")
     (output-html "xdg-open")))
 '(ansi-color-faces-vector
   [default default default italic underline success warning error])
 '(ansi-color-names-vector
   ["black" "#d55e00" "#009e73" "#f8ec59" "black" "#cc79a7" "#56b4e9" "white"])
 '(browse-url-browser-function 'browse-url-default-browser)
 '(column-number-mode t)
 '(custom-enabled-themes '(wilmersdorf))
 '(custom-safe-themes
   '("edd01c5822b89be3544795eb19ad3096d1330c06ef2b0b4ec3a3c4e5a4bbc9d4" "ba72dfc6bb260a9d8609136b9166e04ad0292b9760a3e2431cf0cd0679f83c3a" "41098e2f8fa67dc51bbe89cce4fb7109f53a164e3a92356964c72f76d068587e" "fa2b58bb98b62c3b8cf3b6f02f058ef7827a8e497125de0254f56e373abee088" "bffa9739ce0752a37d9b1eee78fc00ba159748f50dc328af4be661484848e476" "36ca8f60565af20ef4f30783aa16a26d96c02df7b4e54e9900a5138fb33808da" "c9ddf33b383e74dac7690255dd2c3dfa1961a8e8a1d20e401c6572febef61045" "bf798e9e8ff00d4bf2512597f36e5a135ce48e477ce88a0764cfb5d8104e8163" "5034d4b3ebd327bbdc1bbf925b6bf7e4dfbe4f3f84ee4d21e154143f128c6e04" default))
 '(hl-todo-keyword-faces
   '(("TODO" . "#dc752f")
     ("NEXT" . "#dc752f")
     ("THEM" . "#2aa198")
     ("PROG" . "#268bd2")
     ("OKAY" . "#268bd2")
     ("DONT" . "#d70000")
     ("FAIL" . "#d70000")
     ("DONE" . "#86dc2f")
     ("NOTE" . "#875f00")
     ("KLUDGE" . "#875f00")
     ("HACK" . "#875f00")
     ("TEMP" . "#875f00")
     ("FIXME" . "#dc752f")
     ("XXX+" . "#dc752f")
     ("\\?\\?\\?+" . "#dc752f")))
 '(mode-line-in-non-selected-windows nil)
 '(package-selected-packages
   '(rustic org-caldav all-the-icons doom-themes which-key calfw multiple-cursors transient magit restart-emacs dashboard simpleclip auctex messages-are-flowing ## powerline-evil ewal-spacemacs-themes ewal spacemacs-theme spaceline company eglot centaur-tabs ample-theme telephone-line rainbow-delimiters smex format-all flycheck neotree rainbow-mode use-package))
 '(pdf-view-midnight-colors '("#b2b2b2" . "#262626"))
 '(tool-bar-mode nil))

(require 'calfw)
(require 'calfw-cal)
(require 'calfw-org)
(defun my-calendar ()
  (interactive)
  (cfw:open-calendar-buffer
   :contents-sources
   (list
    (cfw:org-create-source "Green")
    (cfw:cal-create-source "Orange")
    )))

(setq org-replace-disputed-keys t)
(define-key global-map "\C-cl" 'org-store-link)
(define-key global-map "\C-ca" 'org-agenda)
(setq org-log-done t)
(setq org-agenda-files (list "~/Documents/org-mode/tweaking.org"
			     "~/Documents/org-mode/school.org"
			     "~/Documents/org-mode/untitled_project.org"
			     "~/Documents/org-mode/personal.org"))
(add-to-list 'auto-mode-alist '("neomutt" . mail-mode))
(setq appt-message-warning-time 15
      appt-display-format 'window)
(appt-activate 1)
(defun notify-send (title msg)
  (interactive)
  (shell-command (concat "notify-send '" title "' '" msg "'")))
(defun facade-notify-appt (min-to-app new-time msg)
  (notify-send (format "Appointment in %s minute(s)" min-to-app) msg))
(setq appt-disp-window-function (function facade-notify-appt))
(add-hook 'diary-list-entries-hook 'diary-sort-entries t)
;; not perfect, messes up theme if you switch from terminal to gui and
;; vice versa, but whatever

(add-hook 'after-make-frame-functions
	  (lambda (frame)
	    (select-frame frame)
	    (if (display-graphic-p frame)
		(progn (load-theme 'wilmersdorf t)
		       (enable-theme 'wilmersdorf)
		       (scroll-bar-mode -1)
		       (my-calendar)
		       (global-hl-line-mode))
	      (progn (disable-theme 'wilmersdorf)
		     (setq global-hl-line-mode nil)))))

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:family "Iosevka" :foundry "CYEL" :slant normal :weight normal :height 100 :width normal))))
 '(org-todo ((t (:inherit bold :foreground "#527F80")))))

;(use-package org-caldav
 ; :init (setq org-caldav-url "https://calendar.rshyn.site/frosty"))

  ;(setq org-icalendar-alarm-time 1)
  ;(setq org-icalendar-include-todo t
;	org-caldav-sync-todo t)
;  (setq org-icalendar-include-sexps t)
;  (setq org-icalendar-use-deadline '(todo-due))
;  (setq org-icalendar-use-scheduled '(todo-start)))

